<?php

/* --------------------------------------------------------- */
/* !Custom class filter - 2.1.1 */
/* --------------------------------------------------------- */

if( !function_exists('mtphr_shortcodes_sanitize_class') ) {
function mtphr_shortcodes_sanitize_class( $class='' ) {

	$classes = array();
	
	if ( !empty( $class ) ) {
		if ( !is_array( $class ) ) {
			$class = preg_split( '#\s+#', $class );
		}
		$classes = array_merge( $classes, $class );
	} else {
		// Ensure that we always coerce class to being an array.
		$class = array();
	}

	$classes = array_map( 'esc_attr', $classes );
	
	return 'class="'.join( ' ', $classes ).'"';	
}
}

if( !function_exists('mtphr_shortcodes_icon_list') ) {
function mtphr_shortcodes_icon_list() {

	$classes = array(
		'mtphr-shortcodes-ico-3d-glasses',
		'mtphr-shortcodes-ico-abacus',
		'mtphr-shortcodes-ico-address-book',
		'mtphr-shortcodes-ico-address-book-2',
		'mtphr-shortcodes-ico-aids-sign',
		'mtphr-shortcodes-ico-alarm-clock',
		'mtphr-shortcodes-ico-alarm-clock-2',
		'mtphr-shortcodes-ico-alert-transparent',
		'mtphr-shortcodes-ico-alert-2',
		'mtphr-shortcodes-ico-alert',
		'mtphr-shortcodes-ico-anchor-points',
		'mtphr-shortcodes-ico-anchor-points-2',
		'mtphr-shortcodes-ico-anchor-points-3',
		'mtphr-shortcodes-ico-android',
		'mtphr-shortcodes-ico-archive',
		'mtphr-shortcodes-ico-bag',
		'mtphr-shortcodes-ico-dollar-bag',
		'mtphr-shortcodes-ico-billiard-ball',
		'mtphr-shortcodes-ico-bowling-ball',
		'mtphr-shortcodes-ico-rugby-ball',
		'mtphr-shortcodes-ico-soccer-ball',
		'mtphr-shortcodes-ico-tennis-ball',
		'mtphr-shortcodes-ico-bandaid',
		'mtphr-shortcodes-ico-scan-label',
		'mtphr-shortcodes-ico-scan-label-2',
		'mtphr-shortcodes-ico-batman',
		'mtphr-shortcodes-ico-battery',
		'mtphr-shortcodes-ico-battery-2',
		'mtphr-shortcodes-ico-battery-3',
		'mtphr-shortcodes-ico-battery-4',
		'mtphr-shortcodes-ico-battery-5',
		'mtphr-shortcodes-ico-beer',
		'mtphr-shortcodes-ico-bell',
		'mtphr-shortcodes-ico-bell-mute',
		'mtphr-shortcodes-ico-bycicle',
		'mtphr-shortcodes-ico-bomb',
		'mtphr-shortcodes-ico-book',
		'mtphr-shortcodes-ico-open-book',
		'mtphr-shortcodes-ico-open-book-2',
		'mtphr-shortcodes-ico-bowling-pin',
		'mtphr-shortcodes-ico-box-closed',
		'mtphr-shortcodes-ico-box-closed-2',
		'mtphr-shortcodes-ico-box-open',
		'mtphr-shortcodes-ico-brief-case',
		'mtphr-shortcodes-ico-brief-case-2',
		'mtphr-shortcodes-ico-brief-case-3',
		'mtphr-shortcodes-ico-browser',
		'mtphr-shortcodes-ico-light-bulb',
		'mtphr-shortcodes-ico-light-bulb-2',
		'mtphr-shortcodes-ico-light-bulb-3',
		'mtphr-shortcodes-ico-light-bulb-4',
		'mtphr-shortcodes-ico-school-bus',
		'mtphr-shortcodes-ico-calculator',
		'mtphr-shortcodes-ico-calendar',
		'mtphr-shortcodes-ico-calendar-2',
		'mtphr-shortcodes-ico-calendar-3',
		'mtphr-shortcodes-ico-camera',
		'mtphr-shortcodes-ico-camera-2',
		'mtphr-shortcodes-ico-car',
		'mtphr-shortcodes-ico-cassette',
		'mtphr-shortcodes-ico-check-transparent',
		'mtphr-shortcodes-ico-check-2',
		'mtphr-shortcodes-ico-check',
		'mtphr-shortcodes-ico-clock',
		'mtphr-shortcodes-ico-error-transparent',
		'mtphr-shortcodes-ico-error-2',
		'mtphr-shortcodes-ico-error',
		'mtphr-shortcodes-ico-collapse',
		'mtphr-shortcodes-ico-collapse-2',
		'mtphr-shortcodes-ico-collapse-3',
		'mtphr-shortcodes-ico-connect',
		'mtphr-shortcodes-ico-copy-paste',
		'mtphr-shortcodes-ico-copy-paste-2',
		'mtphr-shortcodes-ico-copy-paste-3',
		'mtphr-shortcodes-ico-create-new',
		'mtphr-shortcodes-ico-crop',
		'mtphr-shortcodes-ico-cross',
		'mtphr-shortcodes-ico-david-star',
		'mtphr-shortcodes-ico-diamond',
		'mtphr-shortcodes-ico-digital-watch',
		'mtphr-shortcodes-ico-digital-watch-2',
		'mtphr-shortcodes-ico-dollar',
		'mtphr-shortcodes-ico-dollar-coins',
		'mtphr-shortcodes-ico-dollars',
		'mtphr-shortcodes-ico-download',
		'mtphr-shortcodes-ico-email',
		'mtphr-shortcodes-ico-email-open',
		'mtphr-shortcodes-ico-equilizer',
		'mtphr-shortcodes-ico-expand',
		'mtphr-shortcodes-ico-expand-2',
		'mtphr-shortcodes-ico-expand-3',
		'mtphr-shortcodes-ico-file',
		'mtphr-shortcodes-ico-file-cabinet',
		'mtphr-shortcodes-ico-file-cabinet-2',
		'mtphr-shortcodes-ico-file-minus',
		'mtphr-shortcodes-ico-file-plus',
		'mtphr-shortcodes-ico-files',
		'mtphr-shortcodes-ico-film',
		'mtphr-shortcodes-ico-film-2',
		'mtphr-shortcodes-ico-folder',
		'mtphr-shortcodes-ico-fountain-pen',
		'mtphr-shortcodes-ico-fullscreen',
		'mtphr-shortcodes-ico-playstation',
		'mtphr-shortcodes-ico-auction',
		'mtphr-shortcodes-ico-settings',
		'mtphr-shortcodes-ico-settings-3',
		'mtphr-shortcodes-ico-settings-2',
		'mtphr-shortcodes-ico-graduate',
		'mtphr-shortcodes-ico-graph-chart',
		'mtphr-shortcodes-ico-graph-chart-2',
		'mtphr-shortcodes-ico-graph-chart-3',
		'mtphr-shortcodes-ico-graph-chart-4',
		'mtphr-shortcodes-ico-graph-chart-decreasing',
		'mtphr-shortcodes-ico-graph-chart-increasing',
		'mtphr-shortcodes-ico-hammer',
		'mtphr-shortcodes-ico-hand',
		'mtphr-shortcodes-ico-handset',
		'mtphr-shortcodes-ico-like',
		'mtphr-shortcodes-ico-hourglass',
		'mtphr-shortcodes-ico-ice-cream',
		'mtphr-shortcodes-ico-icloud',
		'mtphr-shortcodes-ico-icloud-down',
		'mtphr-shortcodes-ico-icloud-up',
		'mtphr-shortcodes-ico-mac',
		'mtphr-shortcodes-ico-inbox',
		'mtphr-shortcodes-ico-inbox-full',
		'mtphr-shortcodes-ico-inbox-incoming',
		'mtphr-shortcodes-ico-inbox-outgoing',
		'mtphr-shortcodes-ico-info',
		'mtphr-shortcodes-ico-info-2',
		'mtphr-shortcodes-ico-ipad',
		'mtphr-shortcodes-ico-iphone',
		'mtphr-shortcodes-ico-ipad-2',
		'mtphr-shortcodes-ico-juice',
		'mtphr-shortcodes-ico-justice',
		'mtphr-shortcodes-ico-key',
		'mtphr-shortcodes-ico-lab',
		'mtphr-shortcodes-ico-lamp',
		'mtphr-shortcodes-ico-lamp-2',
		'mtphr-shortcodes-ico-layout',
		'mtphr-shortcodes-ico-layout-2',
		'mtphr-shortcodes-ico-layout-3',
		'mtphr-shortcodes-ico-layout-4',
		'mtphr-shortcodes-ico-layout-5',
		'mtphr-shortcodes-ico-layout-6',
		'mtphr-shortcodes-ico-layout-7',
		'mtphr-shortcodes-ico-layout-8',
		'mtphr-shortcodes-ico-layout-9',
		'mtphr-shortcodes-ico-layout-10',
		'mtphr-shortcodes-ico-layout-11',
		'mtphr-shortcodes-ico-layout-12',
		'mtphr-shortcodes-ico-layout-13',
		'mtphr-shortcodes-ico-layout-14',
		'mtphr-shortcodes-ico-link',
		'mtphr-shortcodes-ico-link-2',
		'mtphr-shortcodes-ico-view-list',
		'mtphr-shortcodes-ico-view-list-2',
		'mtphr-shortcodes-ico-locked',
		'mtphr-shortcodes-ico-locked-2',
		'mtphr-shortcodes-ico-map',
		'mtphr-shortcodes-ico-map-pin',
		'mtphr-shortcodes-ico-map-pin-2',
		'mtphr-shortcodes-ico-martini',
		'mtphr-shortcodes-ico-marvin',
		'mtphr-shortcodes-ico-award-ribbon',
		'mtphr-shortcodes-ico-medical-case',
		'mtphr-shortcodes-ico-megaphone',
		'mtphr-shortcodes-ico-megaphone-2',
		'mtphr-shortcodes-ico-microphone',
		'mtphr-shortcodes-ico-microphone-2',
		'mtphr-shortcodes-ico-microphone-3',
		'mtphr-shortcodes-ico-microphone-4',
		'mtphr-shortcodes-ico-microwave',
		'mtphr-shortcodes-ico-minus-transparent',
		'mtphr-shortcodes-ico-minus',
		'mtphr-shortcodes-ico-moon',
		'mtphr-shortcodes-ico-moon-star',
		'mtphr-shortcodes-ico-mouse',
		'mtphr-shortcodes-ico-movie-tape',
		'mtphr-shortcodes-ico-muffin',
		'mtphr-shortcodes-ico-music-note',
		'mtphr-shortcodes-ico-narrow',
		'mtphr-shortcodes-ico-zero',
		'mtphr-shortcodes-ico-one',
		'mtphr-shortcodes-ico-two',
		'mtphr-shortcodes-ico-three',
		'mtphr-shortcodes-ico-four',
		'mtphr-shortcodes-ico-five',
		'mtphr-shortcodes-ico-six',
		'mtphr-shortcodes-ico-seven',
		'mtphr-shortcodes-ico-eight',
		'mtphr-shortcodes-ico-nine',
		'mtphr-shortcodes-ico-zero-filled',
		'mtphr-shortcodes-ico-one-filled',
		'mtphr-shortcodes-ico-two-filled',
		'mtphr-shortcodes-ico-three-filled',
		'mtphr-shortcodes-ico-four-filled',
		'mtphr-shortcodes-ico-five-filled',
		'mtphr-shortcodes-ico-six-filled',
		'mtphr-shortcodes-ico-seven-filled',
		'mtphr-shortcodes-ico-eight-filled',
		'mtphr-shortcodes-ico-nine-filled',
		'mtphr-shortcodes-ico-oven',
		'mtphr-shortcodes-ico-pacman',
		'mtphr-shortcodes-ico-paint-brush',
		'mtphr-shortcodes-ico-tools-3',
		'mtphr-shortcodes-ico-paper-clip',
		'mtphr-shortcodes-ico-pencil',
		'mtphr-shortcodes-ico-pencil-2',
		'mtphr-shortcodes-ico-piano-keyboard',
		'mtphr-shortcodes-ico-picture-frame',
		'mtphr-shortcodes-ico-pie-chart',
		'mtphr-shortcodes-ico-pie-chart-2',
		'mtphr-shortcodes-ico-piggy',
		'mtphr-shortcodes-ico-pil',
		'mtphr-shortcodes-ico-pin',
		'mtphr-shortcodes-ico-pin-2',
		'mtphr-shortcodes-ico-plane',
		'mtphr-shortcodes-ico-plane-2',
		'mtphr-shortcodes-ico-plus-transparent',
		'mtphr-shortcodes-ico-plus',
		'mtphr-shortcodes-ico-polaroid',
		'mtphr-shortcodes-ico-polaroid-2',
		'mtphr-shortcodes-ico-polaroid-3',
		'mtphr-shortcodes-ico-presentation',
		'mtphr-shortcodes-ico-preview',
		'mtphr-shortcodes-ico-price-tag',
		'mtphr-shortcodes-ico-quote-left',
		'mtphr-shortcodes-ico-quote-right',
		'mtphr-shortcodes-ico-radioactive',
		'mtphr-shortcodes-ico-refresh',
		'mtphr-shortcodes-ico-refrigerator',
		'mtphr-shortcodes-ico-share',
		'mtphr-shortcodes-ico-repeat',
		'mtphr-shortcodes-ico-reply',
		'mtphr-shortcodes-ico-award-ribbon-2',
		'mtphr-shortcodes-ico-ribbon',
		'mtphr-shortcodes-ico-road-sign',
		'mtphr-shortcodes-ico-rocket',
		'mtphr-shortcodes-ico-ruler',
		'mtphr-shortcodes-ico-ruler-2',
		'mtphr-shortcodes-ico-safe',
		'mtphr-shortcodes-ico-satellite',
		'mtphr-shortcodes-ico-satellite-2',
		'mtphr-shortcodes-ico-scissors',
		'mtphr-shortcodes-ico-sheriff-badge',
		'mtphr-shortcodes-ico-sheriff-badge-2',
		'mtphr-shortcodes-ico-shopping-basket',
		'mtphr-shortcodes-ico-shuffle',
		'mtphr-shortcodes-ico-female-sign',
		'mtphr-shortcodes-ico-male-sign',
		'mtphr-shortcodes-ico-open-sign',
		'mtphr-shortcodes-ico-sale-sign',
		'mtphr-shortcodes-ico-sitemap',
		'mtphr-shortcodes-ico-sitemap-2',
		'mtphr-shortcodes-ico-skeletor',
		'mtphr-shortcodes-ico-smile',
		'mtphr-shortcodes-ico-smile-2',
		'mtphr-shortcodes-ico-smile-3',
		'mtphr-shortcodes-ico-sound',
		'mtphr-shortcodes-ico-sound-2',
		'mtphr-shortcodes-ico-sound-mute',
		'mtphr-shortcodes-ico-space-invaders',
		'mtphr-shortcodes-ico-speech-bubble',
		'mtphr-shortcodes-ico-speech-bubble-2',
		'mtphr-shortcodes-ico-speech-bubble-3',
		'mtphr-shortcodes-ico-speech-bubble-4',
		'mtphr-shortcodes-ico-stop-watch',
		'mtphr-shortcodes-ico-street-light',
		'mtphr-shortcodes-ico-stretch',
		'mtphr-shortcodes-ico-sun',
		'mtphr-shortcodes-ico-switcher',
		'mtphr-shortcodes-ico-injection',
		'mtphr-shortcodes-ico-tag',
		'mtphr-shortcodes-ico-tag-2',
		'mtphr-shortcodes-ico-tag-3',
		'mtphr-shortcodes-ico-takeaway-cup',
		'mtphr-shortcodes-ico-takeaway-cup-2',
		'mtphr-shortcodes-ico-target',
		'mtphr-shortcodes-ico-tea',
		'mtphr-shortcodes-ico-telephone',
		'mtphr-shortcodes-ico-telephone-2',
		'mtphr-shortcodes-ico-thermometer',
		'mtphr-shortcodes-ico-view-thumbnail',
		'mtphr-shortcodes-ico-view-thumbnail-2',
		'mtphr-shortcodes-ico-ticket',
		'mtphr-shortcodes-ico-ticket-2',
		'mtphr-shortcodes-ico-ticket-3',
		'mtphr-shortcodes-ico-tie',
		'mtphr-shortcodes-ico-tools',
		'mtphr-shortcodes-ico-tools-2',
		'mtphr-shortcodes-ico-traffic-cone',
		'mtphr-shortcodes-ico-transformer',
		'mtphr-shortcodes-ico-trash',
		'mtphr-shortcodes-ico-truck',
		'mtphr-shortcodes-ico-tv',
		'mtphr-shortcodes-ico-umbrella',
		'mtphr-shortcodes-ico-undo',
		'mtphr-shortcodes-ico-undo-2',
		'mtphr-shortcodes-ico-university',
		'mtphr-shortcodes-ico-unlocked',
		'mtphr-shortcodes-ico-unlocked-2',
		'mtphr-shortcodes-ico-v-card',
		'mtphr-shortcodes-ico-v-card-2',
		'mtphr-shortcodes-ico-v-card-3',
		'mtphr-shortcodes-ico-vespa',
		'mtphr-shortcodes-ico-camera-3',
		'mtphr-shortcodes-ico-vote',
		'mtphr-shortcodes-ico-wallet',
		'mtphr-shortcodes-ico-washing-machine',
		'mtphr-shortcodes-ico-weather-cloudy',
		'mtphr-shortcodes-ico-weather-partly-cloudy',
		'mtphr-shortcodes-ico-weather-rain',
		'mtphr-shortcodes-ico-weather-snow',
		'mtphr-shortcodes-ico-weather-storm',
		'mtphr-shortcodes-ico-zoom',
		'mtphr-shortcodes-ico-zoom-in',
		'mtphr-shortcodes-ico-zoom-out',
		'mtphr-shortcodes-ico-aim',
		'mtphr-shortcodes-ico-amazon',
		'mtphr-shortcodes-ico-android-1',
		'mtphr-shortcodes-ico-apple',
		'mtphr-shortcodes-ico-bebo',
		'mtphr-shortcodes-ico-behance',
		'mtphr-shortcodes-ico-bing',
		'mtphr-shortcodes-ico-blogger',
		'mtphr-shortcodes-ico-cargo',
		'mtphr-shortcodes-ico-delicious',
		'mtphr-shortcodes-ico-deviantart',
		'mtphr-shortcodes-ico-digg',
		'mtphr-shortcodes-ico-dribble',
		'mtphr-shortcodes-ico-ebay',
		'mtphr-shortcodes-ico-ember',
		'mtphr-shortcodes-ico-envato',
		'mtphr-shortcodes-ico-evernote',
		'mtphr-shortcodes-ico-facebook',
		'mtphr-shortcodes-ico-feedburner',
		'mtphr-shortcodes-ico-flickr',
		'mtphr-shortcodes-ico-googleplus',
		'mtphr-shortcodes-ico-googletalk',
		'mtphr-shortcodes-ico-grooveshark',
		'mtphr-shortcodes-ico-instagram',
		'mtphr-shortcodes-ico-lastfm',
		'mtphr-shortcodes-ico-linkedin',
		'mtphr-shortcodes-ico-magnolia',
		'mtphr-shortcodes-ico-metacafe',
		'mtphr-shortcodes-ico-mixx',
		'mtphr-shortcodes-ico-mobileme',
		'mtphr-shortcodes-ico-msn',
		'mtphr-shortcodes-ico-myspace',
		'mtphr-shortcodes-ico-netvibes',
		'mtphr-shortcodes-ico-newsvine',
		'mtphr-shortcodes-ico-orkut',
		'mtphr-shortcodes-ico-paypal',
		'mtphr-shortcodes-ico-picasa',
		'mtphr-shortcodes-ico-pinterest',
		'mtphr-shortcodes-ico-plurk',
		'mtphr-shortcodes-ico-posterous',
		'mtphr-shortcodes-ico-reddit',
		'mtphr-shortcodes-ico-rss',
		'mtphr-shortcodes-ico-skype',
		'mtphr-shortcodes-ico-stumbleupon',
		'mtphr-shortcodes-ico-tripadvisor',
		'mtphr-shortcodes-ico-tumblr',
		'mtphr-shortcodes-ico-twitter',
		'mtphr-shortcodes-ico-vimeo',
		'mtphr-shortcodes-ico-windows',
		'mtphr-shortcodes-ico-wordpress',
		'mtphr-shortcodes-ico-yahoo',
		'mtphr-shortcodes-ico-yahoobuzz',
		'mtphr-shortcodes-ico-youtube',
		'mtphr-shortcodes-ico-alert-3',
		'mtphr-shortcodes-ico-anchor',
		'mtphr-shortcodes-ico-atom',
		'mtphr-shortcodes-ico-compass',
		'mtphr-shortcodes-ico-clipboard-3',
		'mtphr-shortcodes-ico-clipboard-2',
		'mtphr-shortcodes-ico-clipboard',
		'mtphr-shortcodes-ico-check-3',
		'mtphr-shortcodes-ico-error-3',
		'mtphr-shortcodes-ico-dropper',
		'mtphr-shortcodes-ico-globe-2',
		'mtphr-shortcodes-ico-globe',
		'mtphr-shortcodes-ico-keyboard-2',
		'mtphr-shortcodes-ico-keyboard',
		'mtphr-shortcodes-ico-like-minus',
		'mtphr-shortcodes-ico-like-plus',
		'mtphr-shortcodes-ico-magnet',
		'mtphr-shortcodes-ico-locked-heart',
		'mtphr-shortcodes-ico-minus-2',
		'mtphr-shortcodes-ico-nautical-vessel',
		'mtphr-shortcodes-ico-plus-2',
		'mtphr-shortcodes-ico-power',
		'mtphr-shortcodes-ico-radio',
		'mtphr-shortcodes-ico-print',
		'mtphr-shortcodes-ico-shipping',
		'mtphr-shortcodes-ico-slideshow',
		'mtphr-shortcodes-ico-stop',
		'mtphr-shortcodes-ico-tools-4',
		'mtphr-shortcodes-ico-traffic-sign-forbidden',
		'mtphr-shortcodes-ico-usb',
		'mtphr-shortcodes-ico-yin-yang',
		'mtphr-shortcodes-ico-zip',
		'mtphr-shortcodes-ico-zip-2'
	);
	
	return $classes;
}
}